//
//  CubeViewNode.m
//  Cube
//
//  Created by Chris Osborn on 7/1/15.
//  Copyright (c) 2015 Google. All rights reserved.
//

#import "CubeViewNode.h"

@implementation CubeViewNode

+ (NSString *)defaultName {
    return @"Cube View";
}

+ (NSString *)processClassName {
    return @"CubeViewPatch";
}

+ (NSString *)libraryCategory {
    return @"View";
}

- (instancetype)init {
    if ((self = [super init]) != nil) {
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"Color"
                                                        uniqueKey:@"Form.colorInput"
                                                     defaultValue:[PMRPrimitive primitiveWithColorValue:RIColorPurpleRGBA]] portGroup:@"Color"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"Light Direction X"
                                                        uniqueKey:@"Form.lightDirectionXInput"
                                                     defaultValue:[PMRPrimitive primitiveWithNumberValue:0.0f]] portGroup:@"Light"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"Light Direction Y"
                                                        uniqueKey:@"Form.lightDirectionYInput"
                                                     defaultValue:[PMRPrimitive primitiveWithNumberValue:0.0f]] portGroup:@"Light"];
        
        [self addPort:[[FMRPrimitiveInputPort alloc] initWithName:@"Light Direction Z"
                                                        uniqueKey:@"Form.lightDirectionZInput"
                                                     defaultValue:[PMRPrimitive primitiveWithNumberValue:1.0f]] portGroup:@"Light"];
    }
    return self;
}

- (void)dealloc {
    
}

@end
